package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrAnalyzerMapper;
import com.ruoyi.project.pssr.domain.TPssrAnalyzer;
import com.ruoyi.project.pssr.service.ITPssrAnalyzerService;

/**
 * 在线分析仪Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrAnalyzerServiceImpl implements ITPssrAnalyzerService
{
    @Autowired
    private TPssrAnalyzerMapper tPssrAnalyzerMapper;

    /**
     * 查询在线分析仪
     *
     * @param id 在线分析仪ID
     * @return 在线分析仪
     */
    @Override
    public TPssrAnalyzer selectTPssrAnalyzerById(Long id)
    {
        return tPssrAnalyzerMapper.selectTPssrAnalyzerById(id);
    }

    @Override
    public int selectNoConfirmCount(Long subId)
    {
        return tPssrAnalyzerMapper.selectNoConfirmCount(subId);
    }
    /**
     * 查询在线分析仪列表
     *
     * @param tPssrAnalyzer 在线分析仪
     * @return 在线分析仪
     */
    @Override
    public List<TPssrAnalyzer> selectTPssrAnalyzerList(TPssrAnalyzer tPssrAnalyzer)
    {
        return tPssrAnalyzerMapper.selectTPssrAnalyzerList(tPssrAnalyzer);
    }

    /**
     * 新增在线分析仪
     *
     * @param tPssrAnalyzer 在线分析仪
     * @return 结果
     */
    @Override
    public int insertTPssrAnalyzer(TPssrAnalyzer tPssrAnalyzer)
    {
        return tPssrAnalyzerMapper.insertTPssrAnalyzer(tPssrAnalyzer);
    }

    /**
     * 修改在线分析仪
     *
     * @param tPssrAnalyzer 在线分析仪
     * @return 结果
     */
    @Override
    public int updateTPssrAnalyzer(TPssrAnalyzer tPssrAnalyzer)
    {
        return tPssrAnalyzerMapper.updateTPssrAnalyzer(tPssrAnalyzer);
    }

    /**
     * 批量删除在线分析仪
     *
     * @param ids 需要删除的在线分析仪ID
     * @return 结果
     */
    @Override
    public int deleteTPssrAnalyzerByIds(Long[] ids)
    {
        return tPssrAnalyzerMapper.deleteTPssrAnalyzerByIds(ids);
    }

    /**
     * 删除在线分析仪信息
     *
     * @param id 在线分析仪ID
     * @return 结果
     */
    @Override
    public int deleteTPssrAnalyzerById(Long id)
    {
        return tPssrAnalyzerMapper.deleteTPssrAnalyzerById(id);
    }
}
